#!/bin/bash

# On client side:
#   netcat -l -p 1445 > /raid/s/test.bin


BSZ=80000
BCNT=16000
HST=pertinax.mro.funet.fi
SKIP=2

echo "----------------------------------------------------------------------"
echo "Param: blocksize=$BSZ count=$BCNT skip=$SKIP"
echo
echo ">>> To /dev/null via sf :"
./wr $BSZ $BCNT 0 $SKIP 0 0 1 - $BCNT < /dev/vsib | ./sf 2004-12-31T23:55:40 mk4 0123 8 4 8 0 | pv > /dev/null
echo
echo ">>> To /raid/s without sf :"
./wr $BSZ $BCNT 0 $SKIP 0 0 1 - $BCNT < /dev/vsib | pv > /raid/s/tmp
echo
echo ">>> To netcat via sf :"
./wr $BSZ $BCNT 0 $SKIP 0 0 1 - $BCNT < /dev/vsib | ./sf 2004-12-31T23:55:40 mk4 0123 8 4 8 0 | pv | netcat -w 1 $HST 1445
# TODO: close netcat automatically when stdin closes...
echo "----------------------------------------------------------------------"

